Bug 969143 - Drop legacy tools
Drop legacy tools
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike Burns
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 14:39 EDT by Fabian Deutsch
Modified: 2013-11-28 09:51 EST (History)
10 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-28 09:51:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15247 None None None Never

  None (edit)
Description Fabian Deutsch 2013-05-30 14:39:25 EDT
Description of problem:
We still ship old and obsolete tools.
The tools need to be reviewed and either be migrated to the new codebase (mainly to make them testable) or dropped.
Comment 1 Fabian Deutsch 2013-05-30 14:49:29 EDT
<mburns> fabiand: ovirt-config-setup ovirt-config-installer can definitely be dropped
<mburns> ovirt-auto-install should probably be migrated to the new codebase
<mburns> ovirt-node-upgrade should probably move more into the new code base and become just a wrapper script
<mburns> dre_santos: there should be an event in the log (bottom of the screen)
<mburns> ovirt-rpmquery can go away
<mburns> most of the things under tools can go away (other than testable-node and edit-node)
<mburns> node-config can go away
Comment 2 Mike Burns 2013-05-30 14:56:57 EDT
Very Quick look:

under scripts:

legacy directory:  gone
ovirt-auto-install/ovirt-node-upgrade:  logic should move into ovirt/node codebase, and these should become wrappers
node-config:  gone
ovirt-rpmquery: gone
ovirt-config-password:  migrate to new codebase and re-work this as a wrapper

ovirt-admin-shell, ovirt-config-setup, ovirt-config-installer:  keep (simple wrappers

ovirt-functions/ovirt-init-functions:  should migrate to python based code.

local_boot_trigger:  keep

under tools:
everything but edit-node and testable-node can go (not man page and Makefile)
Comment 3 Mike Burns 2013-05-30 15:00:08 EDT
python-wise:  

under src/ovirtnode:

drop the following:

__init__
iscsi
kdump
log
network
password (after re-write to o-c-password)
storage

install:  need to merge installation logic into new codebase
ovirtfunctions:  need to merge in as utility functions

src/ovirt_config_setup:  should be able to drop all
Comment 4 Mike Burns 2013-05-30 15:03:52 EDT
can probably also drop top level kinit directory
Comment 5 Fabian Deutsch 2013-05-31 04:59:59 EDT
(In reply to Mike Burns from comment #3)
> drop the following:
> 
> __init__
> iscsi
> kdump
> log
> network
> password (after re-write to o-c-password)
> storage


We can't drop (at least some of) them - The new logic is currently wrapping functionality from them. This path was choosen to prevent regressions during the introduction of the new UI. Now that it has landed we can also migrate these modules to the new codebase.

That means: All of them need to be migrated to the new codebase, means code clean up and relocation.

Note You need to log in before you can comment on or make changes to this bug.